▼ |  | Slideshow: Figure and Presentation Tools

1 | Creating Slide Presentations
2 | Making Slides
3 | Fullscreen vs. Widescreen Aspect Ratio
4 | Typesetting Racket Code in Slideshow
5 | Animations
6 | Legacy Libraries
| Bibliography
| Index

► | 3 | Fullscreen vs. Widescreen Aspect Ratio

3.1 | Fullscreen Slides
3.2 | Widescreen Slides

On this page:

3.1`` Fullscreen Slides
slide
para
item
subitem
make-outline
size-in-pixels
client-w
client-h
full-page
titleless-page
3.2`` Widescreen Slides
slide
para
item
subitem
make-outline
size-in-pixels
client-w
client-h
full-page
titleless-page

top ← prev up next →

### 3`` Fullscreen vs. Widescreen Aspect Ratio

Fullscreen (4:3, 1024 by 768) versus widescreen (16:9, 1360 by 766) aspect mode is a property of an individual slide that can be selected using the #:aspect argument to slide. The slideshow/widescreen language provides a variant of slide that makes 'widescreen the default value of #:aspect, while slideshow/fullscreen provides a variant of slide that makes 'fullscreen the default.

When a slide’s aspect is not specified, then it adopts an aspect that can be selected via the --widescreen or --fullscreen flag when Slideshow starts. (That selection can be made “sticky” as the default for future runs by using the --save-aspect flag.) Selecting an aspect also affects the values of client-w, client-h, full-page, and titleless-page from slideshow, but it does not affect the bindings from slideshow/widescreen or slideshow/fullscreen. Keep in mind that specifying #:aspect for slide does not affect the value of client-w, etc., for constructing the slide’s content, but you can use get-client-w, etc., to obtain the aspect-specific metrics.

Use the slideshow language for slides and libraries that are meant to adapt to a user’s selected aspect, and use slideshow/fullscreen or slideshow/widescreen for slides and libraries that assume specific values for a slide’s drawing area.

#### 3.1`` Fullscreen Slides

#lang slideshow/fullscreen | package: slideshow-lib

(require slideshow/fullscreen/base)
| package: slideshow-lib

The slideshow/fullscreen/base module is reprovided by the slideshow/fullscreen language along with racket and pict.

Added in version 1.5 of package slideshow-lib.

> > value

> > slide : procedure?

The same as slide from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > value

> > para : procedure?

The same as para from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > value

> > item : procedure?

The same as item from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > value

> > subitem : procedure?

The same as subitem from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > value

> > make-outline : procedure?

The same as make-outline from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > value

> > size-in-pixels : procedure?

The same as size-in-pixels from slideshow/base, but with 'fullscreen as the default value of the #:aspect argument.

> > syntax

> > client-w

The same as (get-client-w 'fullscreen).

> > syntax

> > client-h

The same as (get-client-h 'fullscreen).

> > syntax

> > full-page

The same as (full-page 'fullscreen).

> > syntax

> > titleless-page

The same as (titleless-page 'fullscreen).

#### 3.2`` Widescreen Slides

#lang slideshow/widescreen | package: slideshow-lib

(require slideshow/widescreen/base)
| package: slideshow-lib

The slideshow/widescreen/base module is reprovided by the slideshow/widescreen language along with racket and pict.

Added in version 1.5 of package slideshow-lib.

> > value

> > slide : procedure?

The same as slide from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > value

> > para : procedure?

The same as para from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > value

> > item : procedure?

The same as item from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > value

> > subitem : procedure?

The same as subitem from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > value

> > make-outline : procedure?

The same as make-outline from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > value

> > size-in-pixels : procedure?

The same as size-in-pixels from slideshow/base, but with 'widescreen as the default value of the #:aspect argument.

> > syntax

> > client-w

The same as (get-client-w 'widescreen).

> > syntax

> > client-h

The same as (get-client-h 'widescreen).

> > syntax

> > full-page

The same as (full-page 'widescreen).

> > syntax

> > titleless-page

The same as (titleless-page 'widescreen).
top ← prev up next →